DX Infrastructure Manager

Expand all | Collapse all

Upgraded to UIM 20.3 - CABI system component is needed.

  • 1.  Upgraded to UIM 20.3 - CABI system component is needed.

    Posted 11-25-2020 04:24 AM

    Hi All,

    I updated from 20.1 to 20.3, previously I had USM now it's replaced with Operator Console, and I'm seeing an error message "System component missing.  CA Business Intelligence (CABI) system component is needed.

    As I understand it, I can't install CABI probe on the same server as the OC.
    I found another server and I've installed the WASP probe but I keep getting an error:

    Nov 25 16:01:10:161 DEBUG [main, com.nimsoft.nimbus.lookup.DataEngineLookup] Request to probe "/_domain/_hub/servername/data_engine" callback get_connection_string was successful.
    Nov 25 16:01:10:507 DEBUG [main, com.nimsoft.nimbus.lookup.DataEngineLookup] No crypt key
    Nov 25 16:01:11:096 [7440] Controller: Max. restarts reached for probe 'wasp' (command = <startup java>)

    I'm stumped.  Also, I had a whole bunch of scheduled reports in the previous USM and hoping that it's not all gone.



  • 2.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Broadcom Employee
    Posted 11-25-2020 10:06 AM
    Hi Narongkij,

    You need to setup/configure the cryptkey on that robot. Please refer to:
    https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/unified-infrastructure-management/20-3/installing/configure-the-robot-cfg-file.html
    Steve

    ------------------------------
    Support Engineer
    Broadcom
    US
    ------------------------------



  • 3.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Broadcom Employee
    Posted 11-25-2020 10:08 AM
    See also:

    CABI Dashboard not displayed in Operator Console - System component missing
    https://knowledge.broadcom.com/external/article?articleId=203145

    ------------------------------
    Support Engineer
    Broadcom
    US
    ------------------------------



  • 4.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Posted 11-25-2020 09:58 PM
    Edited by Narongkij Tejasakulsin 11-26-2020 01:33 AM
    Hi Stephen,

    On "Operator Console Robot", steps 2 and 3, what do I rename the folders to?
    Rename to whatever folder.





  • 5.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Posted 12-01-2020 02:35 AM
    I'm still having problems and this is what I found in the cabi log.  I'm seeing "DOMAIN\HOSTNAME$ in the cabi log and not sure why it's using the hostname to login.

    Nov 26 14:14:47:604 [attach_socket, cabi] (501) , Login failed for user 'DOMAIN\HOSTNAME$'. ClientConnectionId:20a3bf9f-4e1e-4885-b38a-2d89fb5a1946: Login failed for user 'DOMAIN\HOSTNAME$'. ClientConnectionId:20a3bf9f-4e1e-4885-b38a-2d89fb5a1946
    at com.nimsoft.nimdbprovider.base.provider.NimDBProviderBase.createConnection(NimDBProviderBase.java:168)
    at com.nimsoft.nimdbprovider.base.provider.NimDBProviderBase.createConnectionAutoCommit(NimDBProviderBase.java:103)
    at com.ca.cabi4uim.utilities.UimDBUtil.createDbConnection(UimDBUtil.java:117)
    at com.ca.cabi4uim.utilities.UimDBUtil.<init>(UimDBUtil.java:47)
    at com.ca.cabi4uim.utilities.UimDBUtil.<init>(UimDBUtil.java:39)
    at com.ca.cabi4uim.Probe.getUserSynchronizer(Probe.java:606)
    at com.ca.cabi4uim.Probe.cbEnsureUserExists(Probe.java:824)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at com.nimsoft.nimbus.NimServerSession$NimServerSessionThread.performCallback(NimServerSession.java:225)
    at com.nimsoft.nimbus.NimServerSession$NimServerSessionThread.handleMessage(NimServerSession.java:178)
    at com.nimsoft.nimbus.NimServerSession$NimServerSessionThread.run(NimServerSession.java:123)
    Caused by: com.microsoft.sqlserver.jdbc.SQLServerException: Login failed for user 'DOMAIN\HOSTNAME$'. ClientConnectionId:20a3bf9f-4e1e-4885-b38a-2d89fb5a1946
    at com.microsoft.sqlserver.jdbc.SQLServerException.makeFromDatabaseError(SQLServerException.java:258)
    at com.microsoft.sqlserver.jdbc.TDSTokenHandler.onEOF(tdsparser.java:256)
    at com.microsoft.sqlserver.jdbc.TDSParser.parse(tdsparser.java:108)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.sendLogon(SQLServerConnection.java:4290)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.logon(SQLServerConnection.java:3157)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.access$100(SQLServerConnection.java:82)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection$LogonCommand.doExecute(SQLServerConnection.java:3121)
    at com.microsoft.sqlserver.jdbc.TDSCommand.execute(IOBuffer.java:7151)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.executeCommand(SQLServerConnection.java:2478)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.connectHelper(SQLServerConnection.java:2026)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.login(SQLServerConnection.java:1687)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.connectInternal(SQLServerConnection.java:1528)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.connect(SQLServerConnection.java:866)
    at com.microsoft.sqlserver.jdbc.SQLServerDriver.connect(SQLServerDriver.java:569)
    at java.sql.DriverManager.getConnection(DriverManager.java:664)
    at java.sql.DriverManager.getConnection(DriverManager.java:270)
    at com.nimsoft.nimdbprovider.base.provider.NimDBProviderBase.createConnection(NimDBProviderBase.java:162)
    ... 13 more


  • 6.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Broadcom Employee
    Posted 12-01-2020 03:43 PM
    Don't remember seeing that show up in a cabi log before.
    Is there a proxy or dmz involved?

    That's from 11/26, is it still happening?

    ------------------------------
    Support Engineer
    Broadcom
    ------------------------------



  • 7.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Posted 12-03-2020 11:33 PM
    Hi David,

    I had to do a complete reinstall, it's partially working now.  Opened a ticket and working with tech support now, currently getting errors when trying to access the Reports menu.


  • 8.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Posted 12-02-2020 08:24 AM
    Where can I get ump_cabi 4.22?

    ------------------------------
    CA - UIM administrator
    ------------------------------



  • 9.  RE: Upgraded to UIM 20.3 - CABI system component is needed.

    Posted 12-03-2020 10:03 PM
    Hi Stephen,
    Thanks.  I've opened a ticket and working tech support now.  I pretty much had to reinstall CABI (Reinstall cabi).